#!/bin/bash
#ditty (c3e) - do  (d) - re  (e) - mi  (f) - fa  (g) - so  (a) - la  (b) - si (c4) -do 
# Simple piano emulation script that uses ditty and outputs sound through
# ( the pc-speaker ).
# Note keys are as follows:
# q ( do ); w ( re ); e ( mi ); r ( fa ); t ( sol ); 
# y ( la ) ; u ( si ); i ( do )
# Written by hip0

dit=/usr/bin/ditty;
echo -n "Notes:";
while [ "$key" != "x" ]; do
read -n 1 -s key; echo -n "$key; ";
if [ "$key" == q ]; then
$dit c3e
elif
   [ "$key" == w ]; then
$dit c3e d 
elif
   [ "$key" == e ]; then
$dit c3e e
elif 
   [ "$key" == r ]; then
$dit c3e f
elif
   [ "$key" == t ]; then
$dit c3e g
elif
   [ "$key" == y ]; then
$dit c3e a
elif [ "$key" == u ]; then
$dit c3e b
elif [ "$key" == i ]; then
$dit c3e c4
fi
done
